Create a worker
curl --request POST \
--url https://api.plane.com/v1/workers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"number": "<string>",
"name": {},
"email": "<string>",
"title": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.plane.com/v1/workers"
payload = {
"type": "<string>",
"number": "<string>",
"name": {},
"email": "<string>",
"title": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
number: '<string>',
name: {},
email: '<string>',
title: '<string>',
country: '<string>'
})
};
fetch('https://api.plane.com/v1/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wr_my3bjuhvAwSBF5"
}
Workers
Create a worker
Add a team member or vendor to Plane.
POST
/
v1
/
workers
Create a worker
Parameters
string
required
The worker’s primary employment type, one of
employee, contractor or vendor.string
The company-assigned employee number. Optional.
object
required
string
required
The primary email address of this worker.
string
The worker’s job title.
string
Two-letter ISO country code (ISO 3166-1 alpha-2). Optional for contractors and vendors; required before inviting employees.
Returns
Returns the created worker ID. Retrieve the full Worker object with Get a worker. Returns an error code if create parameters are invalid.{
"id": "wr_my3bjuhvAwSBF5"
}
Was this page helpful?
⌘I